/// <reference types="node" />
import EventEmitter from 'events';
import { Canvas } from 'fabric/fabric-impl';
export declare enum SelectMode {
    EMPTY = "",
    ONE = "one",
    MULTI = "multiple"
}
export declare enum SelectEvent {
    ONE = "selectOne",
    MULTI = "selectMultiple",
    CANCEL = "selectCancel",
    CHANGE = "objectChange",
    ZOOM = "canvasZoom"
}
/**
 * 发布订阅器
 */
declare class CanvasEventEmitter extends EventEmitter {
    handler: Canvas | undefined;
    mSelectMode: string;
    init(handler: CanvasEventEmitter['handler']): void;
    /**
     * 暴露单选多选事件
     * @private
     */
    private selected;
}
declare const _default: CanvasEventEmitter;
export default _default;
export { CanvasEventEmitter };
